---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libbi01t001.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x6550, symBinAddr: 0x4068, symSize: 0x270 }
  - { offsetInCU: 0xAC9, offset: 0xAC9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x718A8, symBinAddr: 0xC220, symSize: 0x0 }
  - { offsetInCU: 0xAF0, offset: 0xAF0, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x737E8, symBinAddr: 0xE160, symSize: 0x0 }
  - { offsetInCU: 0xB12, offset: 0xB12, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x73BD0, symBinAddr: 0xE548, symSize: 0x0 }
  - { offsetInCU: 0xB34, offset: 0xB34, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x74B70, symBinAddr: 0xF4E8, symSize: 0x0 }
  - { offsetInCU: 0xB49, offset: 0xB49, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x74B78, symBinAddr: 0xF4F0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x71510, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x71514, symBinAddr: 0xC0CC, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x71518, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0xC1F, offset: 0xC1F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x71668, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0xC98, offset: 0xC98, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x71720, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0xCB6, offset: 0xCB6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x71724, symBinAddr: 0xC194, symSize: 0x0 }
  - { offsetInCU: 0xCCF, offset: 0xCCF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x71728, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0xCE8, offset: 0xCE8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x7172C, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0xD01, offset: 0xD01, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x71730, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x92C7, offset: 0x92C7, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x71738, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9350, offset: 0x9350, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x71748, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9369, offset: 0x9369, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x71750, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9382, offset: 0x9382, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x71758, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x939B, offset: 0x939B, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x71760, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x93B4, offset: 0x93B4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x71768, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x93CE, offset: 0x93CE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x71770, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x94B4, offset: 0x94B4, size: 0x8, addend: 0x0, symName: __ZL12newClassSize, symObjAddr: 0x717B4, symBinAddr: 0xC1EC, symSize: 0x0 }
  - { offsetInCU: 0x94CD, offset: 0x94CD, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x717B8, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x94E6, offset: 0x94E6, size: 0x8, addend: 0x0, symName: __ZL13newClassBytes, symObjAddr: 0x717C0, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x94FF, offset: 0x94FF, size: 0x8, addend: 0x0, symName: __ZL11oldClassDef, symObjAddr: 0x717C8, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x9518, offset: 0x9518, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x717E0, symBinAddr: 0xC218, symSize: 0x0 }
  - { offsetInCU: 0xA752, offset: 0xA752, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP8_jobjectED1Ev, symObjAddr: 0xE10, symBinAddr: 0x213C, symSize: 0x25C }
  - { offsetInCU: 0xAA75, offset: 0xAA75, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP8_jobjectE17DecimalToAsciiRecEPci, symObjAddr: 0xCEA8, symBinAddr: 0x60A8, symSize: 0x5C }
  - { offsetInCU: 0xAB5C, offset: 0xAB5C, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPvED1Ev, symObjAddr: 0x12DC, symBinAddr: 0x2398, symSize: 0x25C }
  - { offsetInCU: 0xAE7F, offset: 0xAE7F, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPvE17DecimalToAsciiRecEPci, symObjAddr: 0xCF04, symBinAddr: 0x6104, symSize: 0x5C }
  - { offsetInCU: 0xAFF0, offset: 0xAFF0, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv12NewGlobalRefEP8_jobjectiPKc, symObjAddr: 0x1538, symBinAddr: 0x25F4, symSize: 0x114 }
  - { offsetInCU: 0xB300, offset: 0xB300, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv15DeleteGlobalRefEP8_jobjectiPKc, symObjAddr: 0x164C, symBinAddr: 0x2708, symSize: 0xFC }
  - { offsetInCU: 0xB612, offset: 0xB612, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetArrayLengthEP7_jarrayiPKc, symObjAddr: 0x1B68, symBinAddr: 0x2804, symSize: 0x104 }
  - { offsetInCU: 0xB9FF, offset: 0xB9FF, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv20GetByteArrayElementsEP11_jbyteArrayPhiPKc, symObjAddr: 0x2498, symBinAddr: 0x2908, symSize: 0x138 }
  - { offsetInCU: 0xBC60, offset: 0xBC60, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPaED1Ev, symObjAddr: 0x25D0, symBinAddr: 0x2A40, symSize: 0x25C }
  - { offsetInCU: 0xBF83, offset: 0xBF83, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPaE17DecimalToAsciiRecEPci, symObjAddr: 0xCFBC, symBinAddr: 0x6160, symSize: 0x5C }
  - { offsetInCU: 0xC1D7, offset: 0xC1D7, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv24ReleaseByteArrayElementsEP11_jbyteArrayPaiiPKc, symObjAddr: 0x282C, symBinAddr: 0x2C9C, symSize: 0x13C }
  - { offsetInCU: 0xC4CD, offset: 0xC4CD, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3644, symBinAddr: 0x2E80, symSize: 0xA0 }
  - { offsetInCU: 0xC562, offset: 0xC562, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x361C, symBinAddr: 0x2E58, symSize: 0x28 }
  - { offsetInCU: 0xC5C5, offset: 0xC5C5, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3588, symBinAddr: 0x2DD8, symSize: 0x80 }
  - { offsetInCU: 0xC859, offset: 0xC859, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x36E4, symBinAddr: 0x2F20, symSize: 0x34 }
  - { offsetInCU: 0xC8B3, offset: 0xC8B3, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3718, symBinAddr: 0x2F54, symSize: 0x20C }
  - { offsetInCU: 0xCA6C, offset: 0xCA6C, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3924, symBinAddr: 0x3160, symSize: 0x28 }
  - { offsetInCU: 0xCB35, offset: 0xCB35, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3960, symBinAddr: 0x3188, symSize: 0xB0 }
  - { offsetInCU: 0xCC2C, offset: 0xCC2C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3AC8, symBinAddr: 0x3238, symSize: 0xD8 }
  - { offsetInCU: 0xCD95, offset: 0xCD95, size: 0x8, addend: 0x0, symName: _nsk_printHexBytes, symObjAddr: 0x3BA0, symBinAddr: 0x3310, symSize: 0x1AC }
  - { offsetInCU: 0xCF03, offset: 0xCF03, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x44E4, symBinAddr: 0x34BC, symSize: 0x24 }
  - { offsetInCU: 0xCFA5, offset: 0xCFA5, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x49D0, symBinAddr: 0x34E0, symSize: 0x168 }
  - { offsetInCU: 0xD181, offset: 0xD181, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x4B38, symBinAddr: 0x3648, symSize: 0x104 }
  - { offsetInCU: 0xD432, offset: 0xD432, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x4F18, symBinAddr: 0x374C, symSize: 0x3F8 }
  - { offsetInCU: 0xD656, offset: 0xD656, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x55D8, symBinAddr: 0x3B44, symSize: 0x154 }
  - { offsetInCU: 0xD83A, offset: 0xD83A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x572C, symBinAddr: 0x3C98, symSize: 0xAC }
  - { offsetInCU: 0xD967, offset: 0xD967, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x5A78, symBinAddr: 0x3D44, symSize: 0x14 }
  - { offsetInCU: 0xD9A0, offset: 0xD9A0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x5A8C, symBinAddr: 0x3D58, symSize: 0x14 }
  - { offsetInCU: 0xD9D9, offset: 0xD9D9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x5AA0, symBinAddr: 0x3D6C, symSize: 0x14 }
  - { offsetInCU: 0xDB56, offset: 0xDB56, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x6204, symBinAddr: 0x3D80, symSize: 0x1A8 }
  - { offsetInCU: 0xDE60, offset: 0xDE60, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x63AC, symBinAddr: 0x3F28, symSize: 0x140 }
  - { offsetInCU: 0xE001, offset: 0xE001, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x67C0, symBinAddr: 0x42D8, symSize: 0x1C0 }
  - { offsetInCU: 0xE2DE, offset: 0xE2DE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x6980, symBinAddr: 0x4498, symSize: 0x9C }
  - { offsetInCU: 0xE39C, offset: 0xE39C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x6A1C, symBinAddr: 0x4534, symSize: 0x690 }
  - { offsetInCU: 0xEEB4, offset: 0xEEB4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xCA00, symBinAddr: 0x5D14, symSize: 0x30 }
  - { offsetInCU: 0xEF41, offset: 0xEF41, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x70AC, symBinAddr: 0x4BC4, symSize: 0x74 }
  - { offsetInCU: 0xEFF1, offset: 0xEFF1, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x7DDC, symBinAddr: 0x4C38, symSize: 0xB0 }
  - { offsetInCU: 0xF0FC, offset: 0xF0FC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x8A58, symBinAddr: 0x4CE8, symSize: 0x3C }
  - { offsetInCU: 0xF1F2, offset: 0xF1F2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x8A94, symBinAddr: 0x4D24, symSize: 0x29C }
  - { offsetInCU: 0xF535, offset: 0xF535, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x8D30, symBinAddr: 0x4FC0, symSize: 0xD0 }
  - { offsetInCU: 0xF663, offset: 0xF663, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x8E00, symBinAddr: 0x5090, symSize: 0xC }
  - { offsetInCU: 0xF725, offset: 0xF725, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x8E0C, symBinAddr: 0x509C, symSize: 0x22C }
  - { offsetInCU: 0xF9E0, offset: 0xF9E0, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xBFB4, symBinAddr: 0x52C8, symSize: 0x4 }
  - { offsetInCU: 0xFA24, offset: 0xFA24, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xBFB4, symBinAddr: 0x52C8, symSize: 0x4 }
  - { offsetInCU: 0xFA3D, offset: 0xFA3D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xBFB8, symBinAddr: 0x52CC, symSize: 0x340 }
  - { offsetInCU: 0xFE3E, offset: 0xFE3E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC2F8, symBinAddr: 0x560C, symSize: 0x4 }
  - { offsetInCU: 0xFE82, offset: 0xFE82, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC2F8, symBinAddr: 0x560C, symSize: 0x4 }
  - { offsetInCU: 0xFFA1, offset: 0xFFA1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_bcinstr_BI01_bi01t001_setNewByteCode, symObjAddr: 0xC2FC, symBinAddr: 0x5610, symSize: 0x1F4 }
  - { offsetInCU: 0x10288, offset: 0x10288, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xC4F0, symBinAddr: 0x5804, symSize: 0x50 }
  - { offsetInCU: 0x10355, offset: 0x10355, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_bcinstr_BI01_bi01t001_setClass, symObjAddr: 0xC540, symBinAddr: 0x5854, symSize: 0x44 }
  - { offsetInCU: 0x10477, offset: 0x10477, size: 0x8, addend: 0x0, symName: _cbClassFileLoadHook, symObjAddr: 0xC584, symBinAddr: 0x5898, symSize: 0x1C0 }
  - { offsetInCU: 0x10666, offset: 0x10666, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC744, symBinAddr: 0x5A58, symSize: 0x2BC }
  - { offsetInCU: 0x10A42, offset: 0x10A42, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xCA30, symBinAddr: 0x5D44, symSize: 0x358 }
...
